Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remotecommand.jms
Class JMSTopicDiscoveryManager

`java.lang.Object
java.lang.Thread
oracle.toplink.remotecommand.DiscoveryManager
oracle.toplink.remotecommand.jms.JMSTopicDiscoveryManager`

All Implemented Interfaces:
  java.lang.Runnable

public class JMSTopicDiscoveryManager
extends DiscoveryManager

Purpose: Trigger participation of its RCM in the logical TopLink cluster via a known JMS Topic.

Description: No discovery of new services via multicast protocol is used, since all RCM members in the logical TopLink cluster share the same JMS Topic. The info to connect to the JMS Topic must be pre-configured on the JMSTopicTransportManager prior to starting the discovery.

The discovery initializes a TopLink connection that encapsulates the publishing and subscribing of messages to the JMS Topic, enables TopLink commands to be sent and received via JMS messages.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  `RemoteCommandManager`, `JMSTopicTransportManager`

Field Summary

Fields inherited from class oracle.toplink.remotecommand.DiscoveryManager
`DEFAULT_ANNOUNCEMENT_DELAY, DEFAULT_MULTICAST_GROUP, DEFAULT_MULTICAST_PORT, DEFAULT_PACKET_TIME_TO_LIVE`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`JMSTopicDiscoveryManager(RemoteCommandManager rcm)`

Method Summary
`int` | `getAnnouncementDelay()` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`java.lang.String` | `getMulticastGroupAddress()` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`int` | `getMulticastPort()` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`boolean` | `isDiscoveryStopped()` ADVANCED: This function is not supported in JMS trasnport and throws ValidationException.
`void` | `setAnnouncementDelay(int millisecondsToDelay)` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`void` | `setMulticastGroupAddress(java.lang.String address)` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`void` | `setMulticastPort(int port)` PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
`void` | `startDiscovery()` ADVANCED: Trigger participation of its RCM in the logical TopLink cluster.
`void` | `stopDiscovery()` ADVANCED: This function is not supported in JMS trasnport and throws ValidationException.

Methods inherited from class oracle.toplink.remotecommand.DiscoveryManager
`getPacketTimeToLive, setPacketTimeToLive`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSTopicDiscoveryManager

    public JMSTopicDiscoveryManager(RemoteCommandManager rcm)

Method Detail

### isDiscoveryStopped

    public boolean isDiscoveryStopped()

  ADVANCED: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `isDiscoveryStopped` in class `DiscoveryManager`

### startDiscovery

    public void startDiscovery()

  ADVANCED: Trigger participation of its RCM in the logical TopLink cluster. JMS Topic info of the JMSTransportManager must be configured prior to this call.
  Overrides:
    `startDiscovery` in class `DiscoveryManager`

### stopDiscovery

    public void stopDiscovery()

  ADVANCED: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `stopDiscovery` in class `DiscoveryManager`

### setAnnouncementDelay

    public void setAnnouncementDelay(int millisecondsToDelay)

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `setAnnouncementDelay` in class `DiscoveryManager`

### getAnnouncementDelay

    public int getAnnouncementDelay()

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `getAnnouncementDelay` in class `DiscoveryManager`

### getMulticastGroupAddress

    public java.lang.String getMulticastGroupAddress()

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `getMulticastGroupAddress` in class `DiscoveryManager`

### setMulticastGroupAddress

    public void setMulticastGroupAddress(java.lang.String address)

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `setMulticastGroupAddress` in class `DiscoveryManager`

### setMulticastPort

    public void setMulticastPort(int port)

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `setMulticastPort` in class `DiscoveryManager`

### getMulticastPort

    public int getMulticastPort()

  PUBLIC: This function is not supported in JMS trasnport and throws ValidationException.
  Overrides:
    `getMulticastPort` in class `DiscoveryManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD